Class | HttpServer::Request
In: | xmlrpc/httpserver.rb
Parent: | Object

Classes ————————————————-

### Methods

content_length new

### Attributes

data | [R] |
header | [R] |
method | [R] |
path | [R] |
proto | [R] |

### Public Class methods

new(data, method=nil, path=nil, proto=nil)

[Source]

    # File xmlrpc/httpserver.rb, line 53
        def initialize(data, method=nil, path=nil, proto=nil)
          @header, @data = Table.new, data
          @method, @path, @proto = method, path, proto
        end

### Public Instance methods

content_length()

[Source]

    # File xmlrpc/httpserver.rb, line 58
        def content_length
          len = @header['Content-Length']
          return nil if len.nil?
          return len.to_i
        end

[Validate]